/**
 * Copyright (C) 2015 EDIT
 * European Distributed Institute of Taxonomy
 * http://www.e-taxonomy.eu
 *
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * See LICENSE.TXT at the top of this package for the full license terms.
 */
package eu.etaxonomy.cdm.api.application;

/**
 * @author cmathew
 * @date 18 Jun 2015
 */
public interface ICdmDataChangeService {

    public abstract void register(ICdmChangeListener listener);

    public abstract void unregister(ICdmChangeListener listener);

    public abstract void addEvent(CdmChangeEvent event);

    public abstract void fireCurrentChangeEvents(boolean async);

    public abstract void fireChangeEvent(CdmChangeEvent event, boolean async);

    public abstract void clear();

}