/**
* Copyright (C) 2020 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.remoting;

/**
 * @author a.kohlbecker
 * @since Jan 17, 2020
 */
public class RemoteExecutionTimestampsUtil {

    protected static String lastRequestClientTime = null;

    protected static String lastResponseHeaderTime = null;

    protected static String lastServiceMethod = null;

    public RemoteExecutionTimestampsUtil() {

    }

    static public String getLastRequestClientTime() {
        return lastRequestClientTime;
    }

    static public void setLastRequestClientTime(String time) {
        lastRequestClientTime = time;
    }

    static public String getLastResponseHttpHeaderTime() {
        return lastResponseHeaderTime;
    }

    static public void setLastResponseHttpHeaderTime(String time) {
        lastResponseHeaderTime = time;
    }

    static public String getLastServiceMethod() {
        return lastServiceMethod;
    }

    static public void setLastServiceMethod(String lastMethod) {
        lastServiceMethod = lastMethod;
    }
}
