/**
* Copyright (C) 2016 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.remoting.source;

/**
 * @author  a.kohlbecker
 * @date  Feb 10, 2016
 */
public class CdmServerInfoConfig {

    private String name;
    private String server;
    private int port;
    private String prefix;
    private boolean ignoreCdmLibVersion;

    public CdmServerInfoConfig(String name, String server, int port, String prefix, boolean ignoreCdmLibVersion) {
        this.name = name;
        this.server = server;
        this.port = port;
        this.prefix = prefix;
        this.ignoreCdmLibVersion = ignoreCdmLibVersion;
    }

    public CdmServerInfoConfig() {

    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getServer() {
        return server;
    }

    public void setServer(String server) {
        this.server = server;
    }

    public int getPort() {
        return port;
    }

    public void setPort(int port) {
        this.port = port;
    }

    public String getPrefix() {
        return prefix;
    }

    public void setPrefix(String prefix) {
        this.prefix = prefix;
    }

    public boolean isIgnoreCdmLibVersion() {
        return ignoreCdmLibVersion;
    }

    public void setIgnoreCdmLibVersion(boolean ignoreCdmLibVersion) {
        this.ignoreCdmLibVersion = ignoreCdmLibVersion;
    }
}
